Bug 839276 - [abrt] libreoffice-core-3.5.5.3-2.fc17: ScTabViewShell::ExecuteTable: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.5.3-2.fc17: ScTabViewShell::ExecuteTable: Process...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:aba4044878c7cabb2e8baf5bf03...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 08:50 EDT by Pavel Alexeev
Modified: 2012-08-22 05:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 05:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (4.34 KB, text/plain)
2012-07-11 08:50 EDT, Pavel Alexeev
no flags Details
File: backtrace (171.81 KB, text/plain)
2012-07-11 08:50 EDT, Pavel Alexeev
no flags Details
File: smolt_data (3.62 KB, text/plain)
2012-07-11 08:50 EDT, Pavel Alexeev
no flags Details
File: maps (101.80 KB, text/plain)
2012-07-11 08:51 EDT, Pavel Alexeev
no flags Details
File: dso_list (23.34 KB, text/plain)
2012-07-11 08:51 EDT, Pavel Alexeev
no flags Details

  None (edit)
Description Pavel Alexeev 2012-07-11 08:50:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc /tmp/kde-pasha/arkREiGwl//report_2012-07-10_230731.xls --splash-pipe=6
comment:        Open xls file
crash_function: ScTabViewShell::ExecuteTable
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.4-3.fc17.x86_64
pid:            4355
pwd:            /tmp/kde-pasha/arkREiGwl (deleted)
time:           Ср. 11 июля 2012 16:22:37
uid:            1000
username:       pasha
xsession_errors: 

backtrace:      Text file, 175935 bytes
dso_list:       Text file, 23903 bytes
event_log:      Binary file, 4448 bytes
maps:           Text file, 104246 bytes
smolt_data:     Binary file, 3710 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/pasha/210

core_backtrace:
:6f500766bc0e14d044420124ba204433d9ca144a 0x7f001d - libsclo.so -
:a39579db094598a314b6dfba376b9678e328f1d8 0x17cfa7 - libsfxlo.so -
:a39579db094598a314b6dfba376b9678e328f1d8 0x180d4f SfxDispatcher::Execute(unsigned libsfxlo.so -
:6f500766bc0e14d044420124ba204433d9ca144a 0x7c92ca - libsclo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x351f25 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x352d6a - libvcllo.so -
:197c934715c3e45e3c2d4bb149817e9124e02482 0x6b0d3 X11SalFrame::HandleMouseEvent(_XEvent*) libvclplug_genlo.so -
:197c934715c3e45e3c2d4bb149817e9124e02482 0x6dd7a X11SalFrame::Dispatch(_XEvent*) libvclplug_genlo.so -
:d1b33e35209323b0898055acee305a925656736a 0x12349 - libvclplug_kde4lo.so -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x23663c - libQtGui.so.4 -
:f8939a2cb04dfc17a2c6cac4e110d4d0162dffa4 0x243beb QApplication::x11ProcessEvent(_XEvent*) libQtGui.so.4 -
:d1b33e35209323b0898055acee305a925656736a 0xadc5 - libvclplug_kde4lo.so -
:197c934715c3e45e3c2d4bb149817e9124e02482 0x2b175 - libvclplug_genlo.so -
:197c934715c3e45e3c2d4bb149817e9124e02482 0x2ab8f SalXLib::Yield(bool, libvclplug_genlo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbcd4 Application::Yield(bool) libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbd77 Application::Execute() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x1dd59 - libsofficeapp.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x102711 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x1027b5 SVMain() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x41d26 soffice_main libsofficeapp.so -
:0ef7a32417e24ed789ff99a91ba555099483812c 0x6bb - [exe] -

environ:
:XDG_VTNR=2
:ORBIT_SOCKETDIR=/tmp/orbit-pasha
:KDE_MULTIHEAD=false
:'LESS_TERMCAP_mb=\x1b[01;31m'
:XDG_SESSION_ID=210
:SSH_AGENT_PID=24167
:HOSTNAME=hubbitus
:IMUS_HOME=/home/pasha/imus
:'LESS_TERMCAP_md=\x1b[01;31m'
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=4332
:'LESS_TERMCAP_me=\x1b[0m'
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:DESKTOP_STARTUP_ID=hubbitus;1342008483;993782;4332_TIME129866561
:HISTSIZE=1000
:XDG_SESSION_COOKIE=91f3bb73516042ca0159a68e00000015-1341944981.80293-60527211
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/pasha/.gtkrc-2.0:/home/pasha/.gtkrc-2.0-kde4:/home/pasha/.kde/share/config/gtkrc-2.0
:XRE_PROFILE_NAME=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/pasha/.gtkrc:/home/pasha/.kde/share/config/gtkrc
:GS_LIB=
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/pasha/keyring-wgQa8u
:'LESS_TERMCAP_ue=\x1b[0m'
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=pasha
:XRE_PROFILE_LOCAL_PATH=
:XRE_START_OFFLINE=
:SSH_AUTH_SOCK=/tmp/ssh-HYHwONw24043/agent.24043
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/24265,unix/unix:/tmp/.ICE-unix/24265
:USERNAME=pasha
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/kde4/ark.desktop
:'LESS_TERMCAP_us=\x1b[01;32m'
:MAIL=/var/spool/mail/pasha
:DESKTOP_SESSION=kde-plasma
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates:/home/pasha/bin:/usr/sbin:/home/pasha/bin/php_templates
:QT_IM_MODULE=xim
:PWD=/tmp/kde-pasha/arkREiGwl
:XMODIFIERS=@im=none
:EDITOR=mcedit
:SVN=svn+ssh://x-www.info/mnt/sgtBarracuda/SVN_test/svn/repositories/
:KDE_IS_PRELINKED=1
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=24041
:KDE_SESSION_UID=1000
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:XRE_PROFILE_PATH=
:LOADEDMODULES=
:KDEDIRS=/usr
:GDMSESSION=kde-plasma
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoreboth
:MULE_BASE=/opt/mule-standalone-3.2.0
:IMUS_MULE_2_1=/opt/mule-standalone-3.2.0
:SHLVL=2
:HOME=/home/pasha
:XDG_SEAT=seat0
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=Adwaita
:SAL_ENABLE_FILE_LOCKING=1
:BASH_ENV=/home/pasha/.bashrc
:LOGNAME=pasha
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:MOZ_LAUNCHED_CHILD=
:'LESS_TERMCAP_so=\x1b[01;44;33m'
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lC1WlMeA7H,guid=511437cebdae5e8cc654cae100019000
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:MODULESHOME=/usr/share/Modules
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MOZ_CRASHREPORTER_RESTART_ARG_1=--sm-config-prefix
:WINDOWPATH=2
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird/thunderbird
:XRE_BINARY_PATH=
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/pasha
:MOZ_CRASHREPORTER_RESTART_ARG_3=--sm-client-id
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/pasha/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:MOZ_CRASHREPORTER_RESTART_ARG_2=/thunderbird-9LyydT/
:GTK_IM_MODULE=xim
:MOZ_CRASHREPORTER_RESTART_ARG_5=--screen
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/pasha/.thunderbird/Crash Reports'
:XUL_APP_FILE=
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_4=10d1e9d7d5000134086540600000243600028
:MOZ_CRASHREPORTER_RESTART_ARG_7=
:'LESS_TERMCAP_se=\x1b[0m'
:XAUTHORITY=/tmp/kde-pasha/xauth-1000-_0
:MOZ_CRASHREPORTER_RESTART_ARG_6=0
:'module=() {  eval `/usr/bin/modulecmd sh $*`\n}'
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62099                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62099                62099                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[3387286]
:pos:	0
:flags:	00
:1:/home/pasha/.xsession-errors
:pos:	15332155
:flags:	0102002
:2:/home/pasha/.xsession-errors
:pos:	15332155
:flags:	0102002
:3:pipe:[3387311]
:pos:	0
:flags:	02004000
:4:pipe:[3387311]
:pos:	0
:flags:	02004001
:5:pipe:[3388001]
:pos:	0
:flags:	00
:6:pipe:[3388001]
:pos:	0
:flags:	01
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:pipe:[3387312]
:pos:	0
:flags:	02004000
:9:pipe:[3387312]
:pos:	0
:flags:	02004001
:10:socket:[3387313]
:pos:	0
:flags:	02004002
:11:socket:[3385152]
:pos:	0
:flags:	02004002
:12:socket:[3388006]
:pos:	0
:flags:	02000002
:13:socket:[3387354]
:pos:	0
:flags:	02000002
:14:/tmp/kde-pasha/arkiRlfoD/report_2012-07-11_160758.xls
:pos:	0
:flags:	0100002
:15:/usr/lib64/libreoffice/program/resource/fweru.res
:pos:	3070
:flags:	0100000
:16:/usr/lib64/libreoffice/program/resource/sbru.res
:pos:	10120
:flags:	0100000
:17:/usr/lib64/libreoffice/program/resource/ofaru.res
:pos:	12454
:flags:	0100000
:18:/usr/lib64/libreoffice/program/resource/svtru.res
:pos:	31536
:flags:	0100000
:19:/home/pasha/.execooomAbObc (deleted)
:pos:	0
:flags:	0100002
:20:/usr/lib64/libreoffice/program/resource/sfxru.res
:pos:	21632
:flags:	0100000
:21:/usr/lib64/libreoffice/program/resource/vclru.res
:pos:	6538
:flags:	0100000
:22:/usr/lib64/libreoffice/share/config/images_crystal.zip
:pos:	0
:flags:	0100000
:23:pipe:[3387356]
:pos:	0
:flags:	02004000
:24:pipe:[3387356]
:pos:	0
:flags:	02004001
:25:socket:[3387357]
:pos:	0
:flags:	02000002
:26:/tmp/kde-pasha/arkREiGwl/report_2012-07-10_230731.xls (deleted)
:pos:	0
:flags:	0100002
:27:socket:[3387358]
:pos:	0
:flags:	02004002
:28:/usr/lib64/libreoffice/program/resource/svxru.res
:pos:	88414
:flags:	0100000
:29:/usr/lib64/libreoffice/program/resource/scru.res
:pos:	29742
:flags:	0100000
:30:/usr/lib64/libreoffice/program/resource/editengru.res
:pos:	14220
:flags:	0100000
:31:/tmp/luid7dl1.tmp/luid7dl3.tmp
:pos:	0
:flags:	0100002
:32:/dev/urandom
:pos:	0
:flags:	02100000
:33:/tmp/luid7dl1.tmp/luid7dl4.tmp
:pos:	0
:flags:	0100002
:34:/home/pasha/.config/libreoffice/3/user/uno_packages/cache/log.txt
:pos:	0
:flags:	0100002
:35:/tmp/luid7dl1.tmp/luid7dl9.tmp
:pos:	0
:flags:	0100002
:36:/usr/lib64/libreoffice/program/resource/deploymentru.res
:pos:	3184
:flags:	0100000
:37:/home/pasha/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:pos:	0
:flags:	02100002
:38:/home/pasha/.config/libreoffice/3/user/extensions/shared/extensions.db
:pos:	0
:flags:	02100002
:39:/home/pasha/.config/libreoffice/3/user/extensions/bundled/extensions.db
:pos:	0
:flags:	02100002
:40:/tmp/luid7dl1.tmp/luid7dla.tmp
:pos:	0
:flags:	0100002

var_log_messages:
:Jul 11 16:22:37 localhost kernel: [130430.026653] soffice.bin[4355]: segfault at 0 ip 00007fe2a541a01d sp 00007fff46363cb0 error 4 in libsclo.so[7fe2a4c2a000+9c5000]
:Jul 11 16:22:41 localhost abrt[4565]: Saved core dump of pid 4355 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-11-16:22:37-4355 (200667136 bytes)
Comment 1 Pavel Alexeev 2012-07-11 08:50:54 EDT
Created attachment 597559 [details]
File: event_log
Comment 2 Pavel Alexeev 2012-07-11 08:50:56 EDT
Created attachment 597560 [details]
File: backtrace
Comment 3 Pavel Alexeev 2012-07-11 08:50:58 EDT
Created attachment 597561 [details]
File: smolt_data
Comment 4 Pavel Alexeev 2012-07-11 08:51:00 EDT
Created attachment 597562 [details]
File: maps
Comment 5 Pavel Alexeev 2012-07-11 08:51:02 EDT
Created attachment 597563 [details]
File: dso_list
Comment 6 Pavel Alexeev 2012-07-11 08:52:10 EDT
Open xls file

backtrace_rating: 4
Package: libreoffice-core-3.5.5.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Eike Rathke 2012-07-11 09:41:30 EDT
Could you attach a testcase document to reproduce the crash?
Comment 8 Pavel Alexeev 2012-08-11 07:31:11 EDT
No unfortunately. I can't it reliably reproduce.

Feel free to close bug if there not enough information.
Comment 9 Caolan McNamara 2012-08-22 05:37:58 EDT
        pFact = 0x0

and the code is 

     ScAbstractDialogFactory* pFact = ScAbstractDialogFactory::Create();
     OSL_ENSURE(pFact, "ScAbstractFactory create fail!");

     AbstractScStringInputDlg* pDlg = pFact->CreateScStringInputDlg(
       GetDialogParent(), aDlgTitle, String(ScResId(SCSTR_NAME)),
       aName, GetStaticInterface()->GetSlot(nSlot)->GetCommand(),
-->    pHelpId, RID_SCDLG_STRINPUT);

so *apparently* ScAbstractDialogFactory::Create failed. Perhaps libreoffice was running, then it was yum updated, and then the dialog was requested, and with the update the .so's were "missing" from the old instances perspective.

Note You need to log in before you can comment on or make changes to this bug.